Skip to content
Start here

Cache

CacheCache Reserve

resource cloudflare_zone_cache_reserve

required Expand Collapse
zone_id: String

Identifier.

optional Expand Collapse
value?: String

Value of the Cache Reserve zone setting.

computed Expand Collapse
id: String

Identifier.

editable: Bool

Whether the setting is editable.

modified_on: Time

Last time this setting was modified.

cloudflare_zone_cache_reserve

resource "cloudflare_zone_cache_reserve" "example_zone_cache_reserve" {
  zone_id = "023e105f4ecef8ad9ca31a8372d0c353"
  value = "on"
}

data cloudflare_zone_cache_reserve

required Expand Collapse
zone_id: String

Identifier.

computed Expand Collapse
id: String

Identifier.

editable: Bool

Whether the setting is editable.

modified_on: Time

Last time this setting was modified.

value: String

Value of the Cache Reserve zone setting.

cloudflare_zone_cache_reserve

data "cloudflare_zone_cache_reserve" "example_zone_cache_reserve" {
  zone_id = "023e105f4ecef8ad9ca31a8372d0c353"
}

CacheSmart Tiered Cache

resource cloudflare_tiered_cache

required Expand Collapse
zone_id: String

Identifier.

value: String

Enable or disable the Smart Tiered Cache.

computed Expand Collapse
id: String

Identifier.

editable: Bool

Whether the setting is editable.

modified_on: Time

Last time this setting was modified.

cloudflare_tiered_cache

resource "cloudflare_tiered_cache" "example_tiered_cache" {
  zone_id = "023e105f4ecef8ad9ca31a8372d0c353"
  value = "on"
}

data cloudflare_tiered_cache

required Expand Collapse
zone_id: String

Identifier.

computed Expand Collapse
id: String

Identifier.

editable: Bool

Whether the setting is editable.

modified_on: Time

Last time this setting was modified.

value: String

Value of the Smart Tiered Cache zone setting.

cloudflare_tiered_cache

data "cloudflare_tiered_cache" "example_tiered_cache" {
  zone_id = "023e105f4ecef8ad9ca31a8372d0c353"
}

CacheVariants

resource cloudflare_zone_cache_variants

required Expand Collapse
zone_id: String

Identifier.

value: Attributes

Value of the zone setting.

avif?: List[String]

List of strings with the MIME types of all the variants that should be served for avif.

bmp?: List[String]

List of strings with the MIME types of all the variants that should be served for bmp.

gif?: List[String]

List of strings with the MIME types of all the variants that should be served for gif.

jp2?: List[String]

List of strings with the MIME types of all the variants that should be served for jp2.

jpeg?: List[String]

List of strings with the MIME types of all the variants that should be served for jpeg.

jpg?: List[String]

List of strings with the MIME types of all the variants that should be served for jpg.

jpg2?: List[String]

List of strings with the MIME types of all the variants that should be served for jpg2.

png?: List[String]

List of strings with the MIME types of all the variants that should be served for png.

tif?: List[String]

List of strings with the MIME types of all the variants that should be served for tif.

tiff?: List[String]

List of strings with the MIME types of all the variants that should be served for tiff.

webp?: List[String]

List of strings with the MIME types of all the variants that should be served for webp.

computed Expand Collapse
id: String

Identifier.

editable: Bool

Whether the setting is editable.

modified_on: Time

Last time this setting was modified.

cloudflare_zone_cache_variants

resource "cloudflare_zone_cache_variants" "example_zone_cache_variants" {
  zone_id = "023e105f4ecef8ad9ca31a8372d0c353"
  value = {
    avif = ["image/webp", "image/jpeg"]
    bmp = ["image/webp", "image/jpeg"]
    gif = ["image/webp", "image/jpeg"]
    jp2 = ["image/webp", "image/avif"]
    jpeg = ["image/webp", "image/avif"]
    jpg = ["image/webp", "image/avif"]
    jpg2 = ["image/webp", "image/avif"]
    png = ["image/webp", "image/avif"]
    tif = ["image/webp", "image/avif"]
    tiff = ["image/webp", "image/avif"]
    webp = ["image/jpeg", "image/avif"]
  }
}

data cloudflare_zone_cache_variants

required Expand Collapse
zone_id: String

Identifier.

computed Expand Collapse
id: String

Identifier.

editable: Bool

Whether the setting is editable.

modified_on: Time

Last time this setting was modified.

value: Attributes

Value of the zone setting.

avif: List[String]

List of strings with the MIME types of all the variants that should be served for avif.

bmp: List[String]

List of strings with the MIME types of all the variants that should be served for bmp.

gif: List[String]

List of strings with the MIME types of all the variants that should be served for gif.

jp2: List[String]

List of strings with the MIME types of all the variants that should be served for jp2.

jpeg: List[String]

List of strings with the MIME types of all the variants that should be served for jpeg.

jpg: List[String]

List of strings with the MIME types of all the variants that should be served for jpg.

jpg2: List[String]

List of strings with the MIME types of all the variants that should be served for jpg2.

png: List[String]

List of strings with the MIME types of all the variants that should be served for png.

tif: List[String]

List of strings with the MIME types of all the variants that should be served for tif.

tiff: List[String]

List of strings with the MIME types of all the variants that should be served for tiff.

webp: List[String]

List of strings with the MIME types of all the variants that should be served for webp.

cloudflare_zone_cache_variants

data "cloudflare_zone_cache_variants" "example_zone_cache_variants" {
  zone_id = "023e105f4ecef8ad9ca31a8372d0c353"
}

CacheRegional Tiered Cache

resource cloudflare_regional_tiered_cache

required Expand Collapse
zone_id: String

Identifier.

optional Expand Collapse
value?: String

Value of the Regional Tiered Cache zone setting.

computed Expand Collapse
id: String

Identifier.

editable: Bool

Whether the setting is editable.

modified_on: Time

Last time this setting was modified.

cloudflare_regional_tiered_cache

resource "cloudflare_regional_tiered_cache" "example_regional_tiered_cache" {
  zone_id = "023e105f4ecef8ad9ca31a8372d0c353"
  value = "on"
}

data cloudflare_regional_tiered_cache

required Expand Collapse
zone_id: String

Identifier.

computed Expand Collapse
id: String

Identifier.

editable: Bool

Whether the setting is editable.

modified_on: Time

Last time this setting was modified.

value: String

Value of the Regional Tiered Cache zone setting.

cloudflare_regional_tiered_cache

data "cloudflare_regional_tiered_cache" "example_regional_tiered_cache" {
  zone_id = "023e105f4ecef8ad9ca31a8372d0c353"
}

CacheOrigin Cloud Regions

resource cloudflare_origin_cloud_region

required Expand Collapse
origin_ip: String

Origin IP address (IPv4 or IPv6). For the single PUT endpoint (PUT /origin/cloud_regions/{origin_ip}), this field must match the path parameter or the request will be rejected with a 400 error. For the batch PUT endpoint, this field identifies which mapping to upsert.

zone_id: String

Identifier.

region: String

Cloud vendor region identifier. Must be a valid region for the specified vendor as returned by the supported_regions endpoint.

vendor: String

Cloud vendor hosting the origin. Must be one of the supported vendors.

computed Expand Collapse
id: String

Origin IP address (IPv4 or IPv6). For the single PUT endpoint (PUT /origin/cloud_regions/{origin_ip}), this field must match the path parameter or the request will be rejected with a 400 error. For the batch PUT endpoint, this field identifies which mapping to upsert.

modified_on: Time

Time this mapping was last modified.

cloudflare_origin_cloud_region

resource "cloudflare_origin_cloud_region" "example_origin_cloud_region" {
  zone_id = "023e105f4ecef8ad9ca31a8372d0c353"
  origin_ip = "192.0.2.1"
  region = "us-east-1"
  vendor = "aws"
}

data cloudflare_origin_cloud_region

required Expand Collapse
origin_ip: String
zone_id: String

Identifier.

computed Expand Collapse
id: String
modified_on: Time

Time this mapping was last modified.

region: String

Cloud vendor region identifier.

vendor: String

Cloud vendor hosting the origin.

cloudflare_origin_cloud_region

data "cloudflare_origin_cloud_region" "example_origin_cloud_region" {
  zone_id = "023e105f4ecef8ad9ca31a8372d0c353"
  origin_ip = "192.0.2.1"
}

data cloudflare_origin_cloud_regions

required Expand Collapse
zone_id: String

Identifier.

optional Expand Collapse
max_items?: Int64

Max items to fetch, default: 1000

computed Expand Collapse
result: List[Attributes]

The items returned by the data source

id: String

The origin IP address (IPv4 or IPv6). Normalized to canonical form (RFC 5952 for IPv6).

origin_ip: String

The origin IP address (IPv4 or IPv6). Normalized to canonical form (RFC 5952 for IPv6).

region: String

Cloud vendor region identifier.

vendor: String

Cloud vendor hosting the origin.

modified_on: Time

Time this mapping was last modified.

cloudflare_origin_cloud_regions

data "cloudflare_origin_cloud_regions" "example_origin_cloud_regions" {
  zone_id = "023e105f4ecef8ad9ca31a8372d0c353"
}